DELETE api/Unit?state={state}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| state | boolean |
Required |
Body Parameters
DeleteOrRestore| Name | Description | Type | Additional information |
|---|---|---|---|
| ids | Collection of globally unique identifier |
None. |
|
| state | boolean |
None. |
|
| deleted | boolean |
Required |
|
| system_information | SystemInformation |
None. |
Request Formats
application/json, text/json
Sample:
{
"ids": [
"323660b7-5293-44d3-a145-fbe2830bb35b",
"953ea8e0-29f3-46e6-9725-bd609838079f"
],
"state": true,
"deleted": true,
"system_information": {
"creation": {
"user": {
"full_name": "sample string 12 sample string 11",
"id": "3ee0e1dc-8515-413f-8374-0d6c9fd545f2",
"image_id": "56f2c843-bfec-4893-9d0c-e223be8d5b4a",
"id_user_work_position": "a5ff5775-fdc9-4a67-9f82-12e3a6ff37bf",
"id_shift": "d916c229-8010-44b5-b905-e22f49ffd566",
"code": "sample string 5",
"code2": "sample string 6",
"title": "sample string 9",
"introduction": "sample string 10",
"first_name": "sample string 11",
"last_name": "sample string 12"
},
"date": "2026-05-06T11:27:46Z"
},
"last_change": {
"user": {
"full_name": "sample string 12 sample string 11",
"id": "3ee0e1dc-8515-413f-8374-0d6c9fd545f2",
"image_id": "56f2c843-bfec-4893-9d0c-e223be8d5b4a",
"id_user_work_position": "a5ff5775-fdc9-4a67-9f82-12e3a6ff37bf",
"id_shift": "d916c229-8010-44b5-b905-e22f49ffd566",
"code": "sample string 5",
"code2": "sample string 6",
"title": "sample string 9",
"introduction": "sample string 10",
"first_name": "sample string 11",
"last_name": "sample string 12"
},
"date": "2026-05-06T11:27:46Z"
}
}
}
application/xml, text/xml
Sample:
<DeleteOrRestore xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/IO.Swagger.Models">
<deleted>true</deleted>
<ids xmlns:d2p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
<d2p1:guid>323660b7-5293-44d3-a145-fbe2830bb35b</d2p1:guid>
<d2p1:guid>953ea8e0-29f3-46e6-9725-bd609838079f</d2p1:guid>
</ids>
<state>true</state>
<system_information>
<creation>
<date>2026-05-06T13:27:46.2401894+02:00</date>
<user>
<code>sample string 5</code>
<code2>sample string 6</code2>
<first_name>sample string 11</first_name>
<full_name>sample string 12 sample string 11</full_name>
<id>3ee0e1dc-8515-413f-8374-0d6c9fd545f2</id>
<id_shift>d916c229-8010-44b5-b905-e22f49ffd566</id_shift>
<id_user_work_position>a5ff5775-fdc9-4a67-9f82-12e3a6ff37bf</id_user_work_position>
<image_id>56f2c843-bfec-4893-9d0c-e223be8d5b4a</image_id>
<introduction>sample string 10</introduction>
<last_name>sample string 12</last_name>
<title>sample string 9</title>
</user>
</creation>
<last_change>
<date>2026-05-06T13:27:46.2401894+02:00</date>
<user>
<code>sample string 5</code>
<code2>sample string 6</code2>
<first_name>sample string 11</first_name>
<full_name>sample string 12 sample string 11</full_name>
<id>3ee0e1dc-8515-413f-8374-0d6c9fd545f2</id>
<id_shift>d916c229-8010-44b5-b905-e22f49ffd566</id_shift>
<id_user_work_position>a5ff5775-fdc9-4a67-9f82-12e3a6ff37bf</id_user_work_position>
<image_id>56f2c843-bfec-4893-9d0c-e223be8d5b4a</image_id>
<introduction>sample string 10</introduction>
<last_name>sample string 12</last_name>
<title>sample string 9</title>
</user>
</last_change>
</system_information>
</DeleteOrRestore>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
Result| Name | Description | Type | Additional information |
|---|---|---|---|
| messages | Collection of ResultMessage |
None. |
|
| count_of_errors | integer |
None. |
|
| id | Object |
None. |
|
| name | string |
None. |
|
| data | Object |
None. |
|
| url | string |
None. |
|
| text | string |
None. |
|
| inner_exception | string |
None. |
Response Formats
application/json, text/json
Sample:
{
"messages": [
{
"type": 1,
"code": 1,
"message": "sample string 1",
"field": "sample string 2"
},
{
"type": 1,
"code": 1,
"message": "sample string 1",
"field": "sample string 2"
}
],
"count_of_errors": 1,
"id": {},
"name": "sample string 3",
"data": {},
"url": "sample string 5",
"text": "sample string 6",
"inner_exception": "sample string 7"
}
application/xml, text/xml
Sample:
<Result xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/UP.Core.Data">
<count_of_errors>1</count_of_errors>
<data />
<id />
<inner_exception>sample string 7</inner_exception>
<messages>
<ResultMessage>
<code>1</code>
<field>sample string 2</field>
<message>sample string 1</message>
<type>1</type>
</ResultMessage>
<ResultMessage>
<code>1</code>
<field>sample string 2</field>
<message>sample string 1</message>
<type>1</type>
</ResultMessage>
</messages>
<name>sample string 3</name>
<text>sample string 6</text>
<url>sample string 5</url>
</Result>